6.0.0-git
2019-10-23

[#2127] Alternative interface to Free/Busy info (including conflict resolution)
Summary Alternative interface to Free/Busy info (including conflict resolution)
Queue Kronolith
Queue Version HEAD
Type Enhancement
State Accepted
Priority 2. Medium
Owners
Requester kevin_myer (at) iu13 (dot) org
Created 2005-06-11 (5247 days ago)
Due
Updated 2009-02-04 (3913 days ago)
Assigned
Resolved
Milestone
Patch No

History
2007-04-11 17:57:37 Chuck Hagenbuch Comment #4 Reply to this comment
See request 5203 for some additional ideas here.
2006-08-22 16:41:49 Jan Schneider Comment #3 Reply to this comment
For that reason, primarily, they really prefer it if saving the event
resulted in a quick check and a prompt if it conflicted with another
appointment. From the prompt they could choose accept or decline...
accepting would create as it does now, decline would take them back
to the edit event page and allow them to pick a new time.
I agree that this would be a nice addition that doesn't necessarily 
have something in common with the fb view. It would actually be a good 
example of non intrusive ajax functionality if the checking happens as 
soon as the user enters the form or changes the start/end times.
2006-08-17 15:55:48 webmgr (at) muskingum (dot) edu Comment #2 Reply to this comment
Honoring Chuck's viewpoint that my request is a duplicate of this one, 
I'm transferring the final detail of my ticket to this ticket as 
feedback. I think the general idea of 2127 is a great idea, but I 
think it could/should be expanded to include the functionality I'm 
requesting.



<Pasted from Duplicate Ticket 4302>

OK, I've checked with some of my users to get some more feedback on 
things. In most cases, they say they are accustomed to checking 
freebusy or looking at the calendar directly. The situation they 
experience happens something like this:



The owner of the calendar is adding an event to his calendar, and 
meanwhile his secretary is on the phone with someone else asking to 
schedule the same time. On of them beats the other to the punch, and 
one of them submits a short time later... now there's a conflict.



In the process, they both checked their availability (calendars are 
side-by-side in Horde), saw nothing was scheduled, and proceeded 
believing all was fine.



For that reason, primarily, they really prefer it if saving the event 
resulted in a quick check and a prompt if it conflicted with another 
appointment. From the prompt they could choose accept or decline... 
accepting would create as it does now, decline would take them back to 
the edit event page and allow them to pick a new time.



Any thoughts? I'm very willing to consider alternative ideas if you have any.
2006-08-17 04:43:44 Chuck Hagenbuch Summary ⇒ Alternative interface to Free/Busy info (including conflict resolution)
 
2005-10-25 11:27:26 Jan Schneider State ⇒ Accepted
 
2005-06-11 21:19:12 kevin_myer (at) iu13 (dot) org Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 2. Medium
Summary ⇒ Provide alternative interface to view and use Free/Busy info
Queue ⇒ Kronolith
Reply to this comment
Two items would help expand and simplify the use of Free/Busy info.



1)  Having a "lite" version of attendees.php, that if invoked outside 
the context of a New Event, you could use to quickly look up when 
someone is available (say, for example, looking to see if they're in 
the office or not, if you want to stop by, but don't want to formally 
setup a meeting).



2)  Having Free/Busy info drive meeting times.  Currently, the 
Free/Busy info is a way for a user to see when others are available.   
But it does not recommend, for instance, the first available free time 
when all Required Attendees are available.  I should be able to 
populate a form with attendees and parameters for a meeting (date 
range, length of time) and have Kronolith do the work and pick the 
first available time that meets my criteria.  Its currently now a 
somewhat manual process:



New Event -> Edit Attendees [find a time that looks good, remember 
that time] -> Manually set date and time on New Event, Save Event.



I'd like to see - Specify Attendees, Specify Date Range, Specify 
Meeting Length [Kronolith searches] and, Confirm Save Event, if 
agreeable time is found.

Saved Queries